package org.simantics.basicexpression;

import org.simantics.basicexpression.analysis.DepthFirstAdapter;
import org.simantics.basicexpression.node.AAddressValue;
import org.simantics.basicexpression.node.AConstantValue;
import org.simantics.basicexpression.node.ADivMultiplicative;
import org.simantics.basicexpression.node.AFunctionPrimary;
import org.simantics.basicexpression.node.AMinusExpression;
import org.simantics.basicexpression.node.AMultExpression;
import org.simantics.basicexpression.node.AMultMultiplicative;
import org.simantics.basicexpression.node.AMultiRange;
import org.simantics.basicexpression.node.APlusExpression;
import org.simantics.basicexpression.node.APrimaryUnary;
import org.simantics.basicexpression.node.ARangeValue;
import org.simantics.basicexpression.node.ARviValue;
import org.simantics.basicexpression.node.ASequenceArgList;
import org.simantics.basicexpression.node.ASingleArgList;
import org.simantics.basicexpression.node.ASingleRange;
import org.simantics.basicexpression.node.AStringValue;
import org.simantics.basicexpression.node.AUnaryminusUnary;
import org.simantics.basicexpression.node.AValuePrimary;
import org.simantics.basicexpression.node.AVariablePrimary;

public class PrettyPrintExpressionVisitor extends DepthFirstAdapter {

	public void outAConstantValue(AConstantValue node) {
		System.out.println("outAConstantValue " + node);
	}

	public void outAStringValue(AStringValue node) {
		System.out.println("outAStringValue " + node);
	}

	public void outAAddressValue(AAddressValue node) {
		System.out.println("outAAddressValue " + node);
	}

	@Override
	public void outASingleRange(ASingleRange node) {
		System.out.println("outASingleRange " + node);
	}
	
	@Override
	public void outARviValue(ARviValue node) {
		System.out.println("outARviValue " + node);
	}
	
	@Override
	public void outAVariablePrimary(AVariablePrimary node) {
		System.out.println("outAVariablePrimary " + node);
	}
	
	public void outARangeValue(ARangeValue node) {
		System.out.println("outARangeValue " + node);
	}
	
	public void outAPlusExpression(APlusExpression node) {
		System.out.println("outAPlusExpression " + node);
	}

	public void outAMultMultiplicative(AMultMultiplicative node) {
		System.out.println("outAFunctionPrimary " + node);
	}

	public void outAFunctionPrimary(AFunctionPrimary node) {
		System.out.println("outAFunctionPrimary " + node);
	}
	
	@Override
	public void outADivMultiplicative(ADivMultiplicative node) {
		System.out.println("outADivMultiplicative " + node);
	}
	
	public void outAExprValue(org.simantics.basicexpression.node.AExprValue node) {
		System.out.println("outAExprValue " + node);
	}
	
	@Override
	public void outAMinusExpression(AMinusExpression node) {
		System.out.println("outAMinusExpression " + node);
	}
	
	@Override
	public void outAMultExpression(AMultExpression node) {
		System.out.println("outAMultExpression " + node);
	}
	
	@Override
	public void outAMultiRange(AMultiRange node) {
		System.out.println("outAMultiRange " + node);
	}
	
	@Override
	public void outAPrimaryUnary(APrimaryUnary node) {
		System.out.println("outAPrimaryUnary " + node);
	}
	
	@Override
	public void outASequenceArgList(ASequenceArgList node) {
		System.out.println("outASequenceArgList " + node);
	}
	
	@Override
	public void outASingleArgList(ASingleArgList node) {
		System.out.println("outASingleArgList " + node);
	}
	
	@Override
	public void outAUnaryminusUnary(AUnaryminusUnary node) {
		System.out.println("outAUnaryminusUnary " + node);
	}
	
	public void outAUnaryMultiplicative(org.simantics.basicexpression.node.AUnaryMultiplicative node) {
		System.out.println("outAUnaryMultiplicative " + node);
	}
	
	public void outAUnaryplusUnary(org.simantics.basicexpression.node.AUnaryplusUnary node) {
		System.out.println("outAUnaryplusUnary " + node);
	}
	
	@Override
	public void outAValuePrimary(AValuePrimary node) {
		System.out.println("outAValuePrimary " + node);
	}

}
